import { createService } from '@/utils/createRequest'
const request9518 = createService(process.env.VUE_APP_9518_API)

export function _queryPager(data) {
    return request9518({
      url: '/LadingTrunkLine/GetTrunkLinePager',
      method: 'post',
      timeout: 20 * 1000,
      data:data
    })
  }
  export function GetTrunkLineInfo(id) {
    return request9518({
      url: '/LadingTrunkLine/GetTrunkLineInfo',
      method: 'get',
      timeout: 20 * 1000,
      params: { id }
    })
  }
  export function DeleteTrunkLineInfo(id) {
    return request9518({
      url: '/LadingTrunkLine/DeleteTrunkLineInfo',
      timeout: 20 * 1000,
      params: { id }
    })
  }
  export function EditTrunkLinePager(data) {
    return request9518({
      url: '/LadingTrunkLine/EditTrunkLinePager',
      method: 'post',
      timeout: 20 * 1000,
      data:data
    })
  }
  export function _DeliveryPush(id) {
    return request9518({
      url: '/LadingTrunkLine/CNDeliveryPush',
      method: 'get',
      timeout: 30 * 1000,
      params: { id }
    })
  }
  export function _ArrivePush(id) {
    return request9518({
      url: '/LadingTrunkLine/CNArrivePush',
      method: 'get',
      timeout: 30 * 1000,
      params: { id }
    })
  }